Skala
Stock transactions

Replace a stock transaction

Completely replaces the data of an existing stock transaction with the provided payload.

PUT
/api/stock_transactions/{id}

Completely replaces the data of an existing stock transaction with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockTransaction identifier

Request Body

application/json

The updated StockTransaction resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/stock_transactions/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "code": "string",
  "quantity": "string",
  "quantityAfter": "string",
  "unitPrice": "string",
  "valueInStock": "string",
  "averageCost": "string",
  "status": "string",
  "relatedType": "string",
  "relatedById": 0,
  "relatedItemById": 0,
  "variantId": 0,
  "date": "2019-08-24T14:15:22Z",
  "location": {
    "id": 0,
    "name": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "stock": {
    "id": 0,
    "unit": {
      "id": 0,
      "name": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "currency": {
      "id": 0,
      "code": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "batch": {
    "id": 0,
    "barcode": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "createdAt": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty